#!/bin/sh
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
#
# Copyright IBM Corp. 2009 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
# Release Name: omoracle_dev
#
# Description: Callpoint pre install script
#
#  Parameters:
#   CANDLEHOME, set in the environment
#
#  Returns:
#    0 - successful
#  100 - failed
#======================================================
#
echo "Starting korpreinstall.sh script..."

# Check and make sure the environment variables are setup
if [ -z "$CANDLEHOME" ]; then
  echo "CANDLEHOME not set in environment, exiting..."
  exit 100
fi

echo "Checking for korcoll.ctl existence..."
# Backup the file if found
if [ -f $CANDLEHOME/misc/korcoll.ctl ]; then
  DATE=`date +%m%d%y12/22/08M%S`
  echo "Backing up: $CANDLEHOME/misc/korcoll.ctl to: $CANDLEHOME/misc/korcoll.ctl.62.${DATE}"
  cp $CANDLEHOME/misc/korcoll.ctl $CANDLEHOME/misc/korcoll.ctl.62.${DATE}
fi

echo "Ending korpreinstall.sh script..."

exit 0
